Get schedule by id
curl --request GET \
--url https://mainnet.mirrornode.hedera.com/api/v1/schedules/{scheduleId}import requests
url = "https://mainnet.mirrornode.hedera.com/api/v1/schedules/{scheduleId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mainnet.mirrornode.hedera.com/api/v1/schedules/{scheduleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"admin_key": {
"_type": "ProtobufEncoded",
"key": "15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743"
},
"consensus_timestamp": "1586567700.453054000",
"creator_account_id": "0.0.2",
"deleted": false,
"executed_timestamp": "1586567700.453054000",
"expiration_time": "1586567700.453054000",
"memo": "created on 02/10/2021",
"payer_account_id": "0.0.2",
"schedule_id": "0.0.2",
"signatures": [
{
"consensus_timestamp": "1586567700.453054000",
"public_key_prefix": "AAEBAwuqAwzB",
"signature": "3q2+7wABAQMLqgMMwQ==",
"type": "ED25519"
}
],
"transaction_body": "Kd6tvu8=",
"wait_for_expiry": true
}{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}{
"_status": {
"messages": [
{
"message": "Not found"
}
]
}
}Schedules
Get schedule by id
Returns schedule information based on the given schedule id
GET
/
api
/
v1
/
schedules
/
{scheduleId}
Get schedule by id
Path Parameters
Schedule id
Network entity ID in the format of shard.realm.num
Pattern:
^\d{1,10}\.\d{1,10}\.\d{1,10}$Example:
"0.0.2"
Response
OK
The public key which controls access to various network entities.
Show child attributes
Show child attributes
A Unix timestamp in seconds.nanoseconds format
Pattern:
^\d{1,10}(\.\d{1,9})?$Example:
"1586567700.453054000"
Network entity ID in the format of shard.realm.num
Pattern:
^\d{1,10}\.\d{1,10}\.\d{1,10}$Example:
"0.0.2"
Example:
false
A Unix timestamp in seconds.nanoseconds format
Pattern:
^\d{1,10}(\.\d{1,9})?$Example:
"1586567700.453054000"
A Unix timestamp in seconds.nanoseconds format
Pattern:
^\d{1,10}(\.\d{1,9})?$Example:
"1586567700.453054000"
Example:
"created on 02/10/2021"
Network entity ID in the format of shard.realm.num
Pattern:
^\d{1,10}\.\d{1,10}\.\d{1,10}$Example:
"0.0.2"
Network entity ID in the format of shard.realm.num
Pattern:
^\d{1,10}\.\d{1,10}\.\d{1,10}$Example:
"0.0.2"
Show child attributes
Show child attributes
Example:
"Kd6tvu8="
Was this page helpful?